import { Col, Row } from 'antd';
import { VmWrapper } from "../../../_components";
import AlarmTrend from "./AlarmTrend";
import AlarmTypeAnalysis from "./AlarmTypeAnalysis";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var StaticInfo = function StaticInfo(_ref) {
  var startDate = _ref.startDate,
    endDate = _ref.endDate;
  return /*#__PURE__*/_jsxs(Row, {
    gutter: [16, 16],
    style: {
      height: 300
    },
    children: [/*#__PURE__*/_jsx(Col, {
      span: 12,
      style: {
        height: '100%'
      },
      children: /*#__PURE__*/_jsx(VmWrapper, {
        title: '报警次数类型占比',
        children: /*#__PURE__*/_jsx(AlarmTypeAnalysis, {
          startDate: startDate,
          endDate: endDate
        })
      })
    }), /*#__PURE__*/_jsx(Col, {
      span: 12,
      style: {
        height: '100%'
      },
      children: /*#__PURE__*/_jsx(VmWrapper, {
        title: '报警次数趋势分析',
        children: /*#__PURE__*/_jsx(AlarmTrend, {
          startDate: startDate,
          endDate: endDate
        })
      })
    })]
  });
};
export default StaticInfo;